"use client"

import style from "./page.module.scss"
import "./global.scss"

import gsap from 'gsap'
import { useLayoutEffect, useRef } from "react"

export default function Home() {
  let timeline = gsap.timeline()
  const motto = useRef(null)
  function click() {
    timeline.to(motto.current, {
      opacity: 0,
      filter: "blur(10px)",
      duration: 0.2,
      ease: "in"
    })
    // Change contents here
    timeline.to(motto.current, {
      opacity: 1,
      filter: "blur(0px)",
      duration: 0.2,
      ease: "out"
    })
  }
  useLayoutEffect(() => {
    let ctx = gsap.context(() => {
      timeline.from(motto.current, {
        opacity: 0,
        filter: "blur(10px)",
        duration: 0.2,
        ease: "out"
      })
    })
    
    return () => ctx.revert()
  }, [])
  return (
    <main className={`${style.main} ${style.dark}`}>
      <div className={style.motto} ref={motto}>
        <div className={style.content}>人人生而自由，在尊严和权利上一律平等。他们赋有理性和良心，并应以兄弟关系的精神相对待。</div>
        <div className={style.author}>联合国《世界人权宣言》</div>
      </div>
    </main>
  )
}
